PAN to GST list API
Introduction
This API by Signzy helps us to fetch active or inactive status of any PAN linked to GSTIN
How to call the API
You will need to login before sending GST request. You are required to pass the access token received from the login call, as authorization header in the PAN to GST List request along with other parameters.
API Input Guidelines
A bussiness PAN number needs to be given as input.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/gstns' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task" : "panToGstList",
"essentials": {
"panNumber": "<Pan Number> "
}
}'Response Parameters
Parameter Name | Description |
|---|---|
task | Task should be panToGstList |
essentials.panNumber | PAN number of the bussiness |
id | ID of the response |
patronId | Unique token of the user from login call |
result | The object contains actual result |
result.gstinList | An object that holds the list of all gstin numbers |
result.gstinList.gstin | GSTIN number of the entity |
result.gstinList.status | Status of the gstin number |
result.gstinList.state | State in which the entity is registered |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].